<!DOCTYPE html>
<html data-layout-decorate="~{layout/app-layout}">
<head></head>
<body>
	<div data-layout-fragment="content">
		<h2>Lista de Usuários</h2>
		<div data-th-if="${#lists.isEmpty(users)}">
			<div class="alert alert-warning" role="alert">
		  		<span><i class="fa fa-info"></i> <span>Não existem usuários cadastrados.</span></span>
			</div>
		</div>
		<p data-th-unless="${#lists.isEmpty(users)}">Estes são os usuários cadastrados abaixo com seus respectivos IMCs: </p>
		
		<div data-th-if="${sucesso != null}" class="alert alert-success" role="alert">
		  <span><i class="fa fa-check"></i> <span data-th-text="${sucesso}"></span></span>
		</div>
		<div data-th-if="${erro != null}" class="alert alert-danger" role="alert">
		  <span><i class="fa fa-exclamation-triangle"></i> <span data-th-text="${erro}"></span></span>
		</div>
		<a class="btn btn-primary" data-th-href="@{/usuarios/novo}" role="button"><span><i class="fa fa-plus"></i> Novo usuário</span></a>
		<table data-th-unless="${#lists.isEmpty(users)}" class="table table-responsive table-striped table-hover">
			<thead>
				<tr>
					<th>ID</th>
					<th>Nome</th>
					<th>IMC</th>
					<th>Situação</th>
					<th>Ações</th>
				</tr>
			</thead>
			<tbody>
				<tr data-th-each="user : ${users}">
					<td data-th-text="${user.id}"></td>
					<td data-th-text="${user.name}"></td>
					<td data-th-text="${#numbers.formatDecimal(user.imcValue,2,2,'COMMA')}"></td>
					<td data-th-text="${user.imc}"></td>
					<td>
						<a class="btn btn-info" role="button" data-th-href="@{/usuarios/editar/{id}(id = ${user.id})}"><span><i class="fa fa-pen"></i> Editar</span></a>
						<a class="btn btn-danger" role="button"  data-th-href="@{/usuarios/excluir/{id}(id = ${user.id})}"><span><i class="fa fa-times"></i> Excluir</span></a>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</body>
</html>
